Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 11:54
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Acer laptop backlight gets dimmer with each boot
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [23 Posts]   Goto page: 1, 2 Next
Author Message
oui

Joined: 20 May 2005
Posts: 2078
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Thu 07 Jan 2010, 18:02    Post subject:  Acer laptop backlight gets dimmer with each boot
Subject description: Solved with newer kernel?
 

Hi

As I have only a laptop since one year (Acer emachine with AMD64 2 GB RAM HD 160 GB, 2 USB plugs, no FD) I test and test one puppy after the next Rolling Eyes because all Puppy's beginning with 4.31 have the same bug and I hope to find one without the bug:

the backlight of the screen is not correctly managed and the screen become more dark after a few restart (with upup 4.54 is the screen completely black now Rolling Eyes ) and the special keys of laptop don't work to in- or decrease the brightness don't work Confused

I see a problem in the kind how the developer of Puppy are working:

a/ I miss a crew of testing contributers with divers (difficult) hardware to test the new puplet's before more work is done with them. probably all new puplet's would have been without bug if puppy 4.31 would be tested correctly Exclamation

b/ dark background picture are more imposant...
... but only if you can see somewhat Idea . not all puplets offer the possibility to chance to white or light grey or really light blue background

Last demand: Swiss people produce a great number of new small Linux (actually SliTaz and Debris but it was more in the last years). I find, a reason is that existent distributions like Puppy don't give access to minimum commodity like keyboard configuration (the main keyboard configuration proposed in SliTaz is ch_fr Rolling Eyes !); you can't work so you cock your own solution... The ch-keyboard design is probably the map covering the most European languages! All West-European languages can be written about correctly with it excepted renversed Spanish question mark and one or two Danish signs. Possible special letters: with the signs äáàãã ç éêèë iíîìï ñ oóôòö ß uúûùüũ yýÿ !

And the internationaled US map would be better...

Thank you for the attention.

Bye

-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-

That problem is now really good solved by the publication of Quirky Linux 0.0.8, a very good new Linux! Thank you Barry for that development!

As usual we have now to find out which packages we can use in Quirky Linux 0.0.8, and I will try to give as follow some indications about my experience with some existent packages for other distributions used with Quirky 0.0.8.

My first tested download is following:

BROWSER

SEAMONKEY 2.0
available here: http://www.filefactory.com/file/a07ecga/n/Seamonkey-2_0-i486_pet

- it works immediately after installation without restart!
- it is possible to transfer you bookmarks from seamonkey 1.1.18 at the first start
- I use it also in a remastered version of quirky and I suppose it is from the same pet but I am not certain (the pet was already in my repertory "pets" on my harddisk)

INSTANT MESSENGER

I did spend a lot of time to try to use ayttm as proposed in the distribution!

But it will not work on my PC Mad ; only IRC chat but that can Seamonkey! I don't need an extra IRC chat tool at all...

I did help me with instantbird. It is easy to install:

download in /usr/lib, click on it in the rox filer, mark all, and click on "extract"...

To start, rename ayttm in /usr/bin and install a link

ln -s /usr/lib/instantbird/instantbird /usr/bin/ayttm

and change the text in /usr/local/bin/defaultchat from

#!/bin/sh
exec ayttmshell "$@"

into

#!/bin/sh
exec /usr/lib/instantbird/instandtbird "$@"

erase the downloaded file instantbird.....tar.bz2 in /usr/lib !

INTERNET PHONE

SKYPE

miss a library to start!

(you will see that if you install and try to start from the terminal emulator ! You find an clear error message in the terminal emulator! If you directly try to start by clicking on the appearing icon in the Menu, you see nothing: nothing happens...)

get the library package libXss-1.0.0.tar.gz

at http://www.puppylinux.ca/tpp/ttuuxxx/Libs/

and install it as you did do with instantbird

when finished, please move the file contained in the new subdirectory in /usr/lib (/urs/lib/libXss-1.0.0) directly into /usr/lib !

then install a skype package.

INTERNATIONALIZATION

I did insert following lines in file:///etc/X11/xorg.conf.

Option "XkbLayout" "ch,ro,in"
Option "XkbVariant" "fr,,"
Option "XKbOptions" "grp:alt_shift_toggle"

and mark the existent XkbLayout line with "#" at the line head,

and I did add fonts directories in /usr/fonts/default/TTF

I always load in that directory new subdirectories copied from Debian or Ubuntu with

- ttf-devanagari-fonts to write in hindi language
- freefont
- ttf-dejavu (large)
- ttf-liberation
- ttf-lucida

after that folling by restart X through the Menu

I can now write with keyboard layout swiss roman, indi and romanian and change it within the same document by shifting and pushing the ALT key at the same time!

MAJOR TOOLS FOR DIFFERENT PURPOSES: Java, Flash, Wine, qemu:

download

- adobe_flash_player-10.0.22.87.pet

- java-1.6u17.pet

- wine-1.1.23.pet

- qemu-0.91.pet

qemu usage:

Short instruction for the usage of qemu (adapted to play old windows 95 games):

- http://translate.google.com/translate?u=http%3A%2F%2Fwww.coagul.org%2Fspip.php%3Farticle753&sl=fr&tl=en&hl=&ie=UTF-8

OPEN OFFICE

as AbiWord makes errors if writing in complex languages (for ex. Hindi; AbiWord don't write correctly the short signs marked using the "virama" for example in the word "hindustani" itself, where the first "n" and the "s" have to be shorted) I did spend a long time to find, download and install diverse existing PET-packages. but I did find a SFS-file on my hard disk with a development version of OO-3.2.0 being free of above error!

you will find the download information at the food of following wiki page:

http://puppylover.netsons.org/dokupuppy/programs:office_suite

and the installation's instructions on this page:

http://www.puppylinux.org/news/releases/openoffice-and-cide-sfs-for-puppy-430

after the first start of OO, you have to set up the OO-system for writing in CLT (complex language mode) if you want to do that!

CLT usage:

- > tools >> options >>> language settings >>>> languages

at the food of the little window mark:

- enabled for Complex Text Layout (CLT) and enter your wished CLT-language!

-

Last edited by oui on Wed 10 Mar 2010, 20:37; edited 8 times in total
Back to top
View user's profile Send private message 
eztuxer


Joined: 06 Nov 2008
Posts: 483
Location: Belgium

PostPosted: Sat 09 Jan 2010, 14:55    Post subject:  

Did you try puppy 41x & 42x series as well, and do they have the same problem ?
_________________
Don't poop it down... Pup it Up ! http://pupitup.org/
Back to top
View user's profile Send private message Visit poster's website 
oui

Joined: 20 May 2005
Posts: 2078
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Sat 09 Jan 2010, 16:01    Post subject:  

hi

I am yet using puppy 4.2 now and I also use different puppy's 4.1. they don't have the problem. the only one difference with Ubuntu is that Ubuntu notice the brightness and restarts with the best possible brightness.

Puppy 4.0 did have the same problem as puppy 4.31 and the new puppy 5alpha.

bye
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Sat 09 Jan 2010, 16:04    Post subject: Re: all new Pupet's have the same bug...  

oui wrote:

a/ I miss a crew of testing contributers with divers (difficult) hardware to test the new puplet's before more work is done with them. probably all new puplet's would have been without bug if puppy 4.31 would be tested correctly Exclamation


Puppy Linux project is not ran by some big company. People who come here like you report bugs if they want, so I guess we have one more tester with different hardware now heh? Smile Report bug to appropriate thread to puppy version.

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 10 Jan 2010, 14:37    Post subject:  

I dont think it is bug. kernels after 2.6.25 uses acer-wmi kernel module to change brightness and other things too. It is unfortunately not very good module. Kernels 2.6.25 and before uses acer_acpi and it works...Unfortunately it is not developed anymore. For historical reasons it is left downloadeable and I downloaded acer_acpi source package.
See info on this link: http://www.kernel.org/doc/Documentation/laptops/acer-wmi.txt

Cut from the link:
Backlight
*********
The backlight brightness control is available on all acer-wmi supported
hardware. The maximum brightness level is usually 15, but on some newer laptops
it's 10 (this is again autodetected).
The backlight is exposed through the backlight subsystem, and can be found in:
/sys/devices/platform/acer-wmi/backlight/acer-wmi/

Link to check your acer compatibility: http://code.google.com/p/aceracpi/wiki/SupportedHardware
Well my acer laptop was supported but at real life that was not the case with brightness. Bluetooth light came on nevertheless Wink

So without acer-wmi support the brightness changes randomly with every boot, mostly it is not too dim, but ...

Nobody so far has told me what I can do to get brightness work.
Gposil has tried to help me and so on. If it is possible to add module acer_acpi to recent kernels I would do it. But I dont know how should I do it or is it possible without compiling whole kernel. Compiling the module from source might be possible with my skills. Dont know what I would need. Dev sfs and kernel headers and kernel source and ....?

So far I use (right now) Puppy 431 with retrokernel 2.6.25 and Choicepup 4.12 when I need best brightness like image editing ...

Acer-wmi is under development, so maybe newest kernels works better with newer version of acer-wmi.

I would like to have Puppy with sfs4 compatibility and brightness control. Not possible right now.

Last edited by pemasu on Sun 10 Jan 2010, 14:54; edited 1 time in total
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6435
Location: Auckland, New Zealand

PostPosted: Sun 10 Jan 2010, 14:52    Post subject:  

Sounds like a bug to me... I think you mean it isn't really a bug specific to Puppy bug, just to the kernel module.
Is it actually a bug that has been reported somewhere?

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 10 Jan 2010, 14:56    Post subject:  

Yes, I meant it is not bug in Puppy but yes you could say it is bug in acer-wmi.
I dont know where I could find relevant info of official bug reports. But with google I found that with acer-wmi kernels there is a lot of reports by acer laptop owners, that they dont have brightness control. With different distros also.

Is it possible to use newer acer-wmi with Puppy, if I find it somewhere without needing to compile it or is it possible to use it after compiling just the acer-wmi module ?
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6435
Location: Auckland, New Zealand

PostPosted: Sun 10 Jan 2010, 15:07    Post subject:  

Quote:
But with google I found that with acer-wmi kernels there is a lot of reports by acer laptop owners, that they dont have brightness control.

Not having brightness control is one thing, but it is a lot worse if it gets darker each time you boot and there is no way to fix it.

It will need to be compiled for Puppy. You shouldn't need to recompile the whole kernel, but I think you will need to download the whole kernel source...

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 11 Jan 2010, 02:15    Post subject:  

I contacted acer-wmi maintainer and he asked me to send him my dmesg. I send him kernel 2.6.30.5 Puppy version dmesg. And also dsdt file. Lets see if he finds out why acer-wmi does not work. I report if he contacts me and has found something relevant.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 06 Mar 2010, 17:37    Post subject:  

Quirky008 has been the first which supports backlight brightness since Puppy 4.3.1 retro in my acer laptop !!!
Newer kernel maybe has done the trick.

Great news to some acer laptop owners !!
Back to top
View user's profile Send private message 
eden6000

Joined: 08 Apr 2007
Posts: 259

PostPosted: Mon 08 Mar 2010, 12:18    Post subject:  

Hi, same thing for me too, Acer Aspire 5315 with intel graphics...quirky controls perfectly laptop backlight...it's just that I'm using puppies 4.31 and I find myself comfortable with it, I didn't want to change it....
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2078
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Mon 08 Mar 2010, 13:00    Post subject:  

hi

pretty cat! really good...

thank you Barry!

but we have to find out which packages are able to really work fine with it

a/ after installation
b/ in remastered catlet's

I propose to write it here to centralize the information in this discussion!

salut
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2078
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Tue 09 Mar 2010, 17:26    Post subject:  

please see message 1 !
Last edited by oui on Wed 10 Mar 2010, 19:10; edited 2 times in total
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 09 Mar 2010, 17:45    Post subject:  

Posting from Quirky008. I have problems with it. Ext filesystem errors all the time. And wireless works and dont ...X crashes even after fsck check. I have it in my menu.lst with every puppy. But right now it works. Probably not with next boot.
So I am telling that this version is not stable enough. But kernel 2.6.33 is the way with brightness control and that is good news. Maybe next Quirky is more stable....
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2078
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Tue 09 Mar 2010, 17:54    Post subject:  

Hi Pemasu

I have also problems but only with an extra big (about 500 MiB) remastered version. The invoqued problem concerns also the memory management, but I did not write the exact error message.

I habe also 2 non remastered versions:

- the same scope as the extra big remastered version, and
- a light one version only with seamonkey 2.0 at this time,

both in frugal installation in my vfat partition. it works. the only one actual problem in the light one is that it did not resize the personal file by request.

how did you use that Quircy?

good luck!

salut
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [23 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0971s ][ Queries: 12 (0.0049s) ][ GZIP on ]